Loading...
Searching...
No Matches
Ui::CDisplayText Class Reference

## Classes

struct | TextLine

## Public Member Functions

void | DeleteObject ()
bool | EventProcess (const Event &event)
void | DisplayError (Error err, CObject *pObj, float time=10.0f)
void | DisplayError (Error err, Math::Vector goal, float height=15.0f, float dist=60.0f, float time=10.0f)
void | DisplayText (const char *text, CObject *pObj, float time=10.0f, TextType type=TT_INFO)
void | DisplayText (const char *text, Math::Vector goal, float height=15.0f, float dist=60.0f, float time=10.0f, TextType type=TT_INFO)
void | HideText (bool bHide)
void | ClearText ()
bool | ClearLastText ()
void | SetDelay (float factor)
void | SetEnable (bool bEnable)
Math::Vector | GetVisitGoal (EventType event)
float | GetVisitDist (EventType event)
float | GetVisitHeight (EventType event)
float | GetIdealDist (CObject *pObj)
float | GetIdealHeight (CObject *pObj)
void | ClearVisit ()
void | SetVisit (EventType event)
bool | IsVisit (EventType event)

## Protected Member Functions

CObject * | SearchToto ()

## Protected Attributes

Gfx::CEngine * | m_engine
Ui::CInterface * | m_interface
CSoundInterface * | m_sound
std::array< TextLine, MAXDTLINE > | m_textLines
bool | m_bHide
bool | m_bEnable
float | m_delayFactor

The documentation for this class was generated from the following files:

- src/ui/displaytext.h
- src/ui/displaytext.cpp